turk porno porno escort rokettube
Ergebnis 1 bis 5 von 5

Thema: ZF3 Installationsproblem

  1. #1
    Neuer Benutzer
    Registriert seit
    21.11.2016
    Ort
    Bielefeld
    Beiträge
    3
    Thanks
    1
    Thanked 0 Times in 0 Posts

    Standard ZF3 Installationsproblem

    Immer wenn ich mit dem Composer ZF3 (Skeleton-Application) installiere, bekomme ich die Skelteton-Application in ZF2 ... :-(

    Hier mein Vorgehen:
    ...
    Per Putty auf dem Server einlogen.

    $ php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"

    $ php composer-setup.php

    $ php -r "unlink('composer-setup.php');"

    $ php composer.phar create-project -sdev zendframework/skeleton-application [verzeichnis]

    ...

    Dann kommen nicht die Abfragen, die beim ZF3 kommen sollen, sondern die Skeleton-Application ZF2 ... :-)

    Was mache ich falsch? Hat jemand eine Idee?

  2. #2
    Super-Moderator Avatar von Kaiuwe
    Registriert seit
    30.12.2006
    Beiträge
    5.520
    Thanks
    4
    Thanked 356 Times in 287 Posts

    Standard

    Willkommen im Forum!
    Zitat Zitat von ZendZwelch Beitrag anzeigen
    Hat jemand eine Idee?
    Gib mal bitte die konkrete Versionsnummer mit an:

    Code:
    composer create-project -sdev zendframework/skeleton-application:3.0.1 path/to/install
    Das Ergebnis kannst du uns dann ruhig mitteilen. Danke!
    Zum Zend Framework stehen jedem folgende Quellen zum Nachschlagen zur Verfügung:

  3. The Following User Says Thank You to Kaiuwe For This Useful Post:

    ZendZwelch (21.11.2016)

  4. #3
    Neuer Benutzer
    Registriert seit
    21.11.2016
    Ort
    Bielefeld
    Beiträge
    3
    Thanks
    1
    Thanked 0 Times in 0 Posts

    Standard

    Lieber Kaiuwe,

    Code:
    composer create-project -sdev zendframework/skeleton-application:3.0.1 path/to/install
    war die Lösung!!! 1.000 Dank!

  5. #4
    Super-Moderator Avatar von Kaiuwe
    Registriert seit
    30.12.2006
    Beiträge
    5.520
    Thanks
    4
    Thanked 356 Times in 287 Posts

    Standard

    Zitat Zitat von ZendZwelch Beitrag anzeigen
    war die Lösung!!!
    Das erklärt aber leider noch nicht, warum nicht automatisch die letzte Version gewählt wurde.

    https://packagist.org/packages/zendf...on-application
    Zum Zend Framework stehen jedem folgende Quellen zum Nachschlagen zur Verfügung:

  6. #5
    Neuer Benutzer
    Registriert seit
    15.12.2016
    Ort
    Mühlenbeck
    Beiträge
    8
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Standard

    Hast Du die richtige php Version? Der Befehl php -v muss mindestens 5.5 anzeigen, besser 7.0.
    Sorry, hatte die Antworten nicht gesehen, hab noch Probleme mit dem Forum.
    Geändert von T.Kalweit (18.12.2016 um 16:50 Uhr) Grund: Ergänzung

Ähnliche Themen

  1. Antworten: 0
    Letzter Beitrag: 21.10.2016, 13:39
  2. ZF3 Auth PHPUnit StatusCode 302
    Von Rogaa im Forum ZF3 Allgemein
    Antworten: 7
    Letzter Beitrag: 15.09.2016, 12:47
  3. ZF3 Auth PHPUnit StatusCode 302
    Von Rogaa im Forum ZF2 Auth
    Antworten: 7
    Letzter Beitrag: 15.09.2016, 12:47

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •